// SelectableSendFilePage.cpp : implementation file
//

#include "Stdafx.h"
#include "PropCom.h"
#include "SelectableSendFilePage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

const TCHAR CSelectableSendFilePage::m_szFilters[] =
    _T ("Spin Files (*.spin)|*.spin|All Files (*.*)|*.*||");

/////////////////////////////////////////////////////////////////////////////
// CSelectableSendFilePage property page

IMPLEMENT_DYNCREATE(CSelectableSendFilePage, CPropertyPage)

CSelectableSendFilePage::CSelectableSendFilePage() : CPropertyPage(CSelectableSendFilePage::IDD)
{
	//{{AFX_DATA_INIT(CSelectableSendFilePage)
	//}}AFX_DATA_INIT
}

CSelectableSendFilePage::~CSelectableSendFilePage()
{
}

void CSelectableSendFilePage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSelectableSendFilePage)
	DDX_Control(pDX, IDC_FILETITLE_RUN1, m_wndFileTitleRun1);
	DDX_Control(pDX, IDC_FILEPATH_RUN1, m_wndFilePathRun1);
	DDX_Control(pDX, IDC_FILETITLE_RUN2, m_wndFileTitleRun2);
	DDX_Control(pDX, IDC_FILEPATH_RUN2, m_wndFilePathRun2);
	DDX_Control(pDX, IDC_FILETITLE_RUN3, m_wndFileTitleRun3);
	DDX_Control(pDX, IDC_FILEPATH_RUN3, m_wndFilePathRun3);
	DDX_Control(pDX, IDC_FILETITLE_RUN4, m_wndFileTitleRun4);
	DDX_Control(pDX, IDC_FILEPATH_RUN4, m_wndFilePathRun4);
	DDX_Control(pDX, IDC_FILETITLE_RUN5, m_wndFileTitleRun5);
	DDX_Control(pDX, IDC_FILEPATH_RUN5, m_wndFilePathRun5);
	DDX_Control(pDX, IDC_FILETITLE_RUN6, m_wndFileTitleRun6);
	DDX_Control(pDX, IDC_FILEPATH_RUN6, m_wndFilePathRun6);
	DDX_Control(pDX, IDC_FILETITLE_RUN7, m_wndFileTitleRun7);
	DDX_Control(pDX, IDC_FILEPATH_RUN7, m_wndFilePathRun7);
	DDX_Control(pDX, IDC_FILETITLE_RUN8, m_wndFileTitleRun8);
	DDX_Control(pDX, IDC_FILEPATH_RUN8, m_wndFilePathRun8);
	DDX_Control(pDX, IDC_FILETITLE_RUN9, m_wndFileTitleRun9);
	DDX_Control(pDX, IDC_FILEPATH_RUN9, m_wndFilePathRun9);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSelectableSendFilePage, CPropertyPage)
	//{{AFX_MSG_MAP(CSelectableSendFilePage)
	ON_BN_CLICKED(IDC_BROWSE_RUN1, OnBrowseRun1)
	ON_BN_CLICKED(IDC_BROWSE_RUN2, OnBrowseRun2)
	ON_BN_CLICKED(IDC_BROWSE_RUN3, OnBrowseRun3)
	ON_BN_CLICKED(IDC_BROWSE_RUN4, OnBrowseRun4)
	ON_BN_CLICKED(IDC_BROWSE_RUN5, OnBrowseRun5)
	ON_BN_CLICKED(IDC_BROWSE_RUN6, OnBrowseRun6)
	ON_BN_CLICKED(IDC_BROWSE_RUN7, OnBrowseRun7)
	ON_BN_CLICKED(IDC_BROWSE_RUN8, OnBrowseRun8)
	ON_BN_CLICKED(IDC_BROWSE_RUN9, OnBrowseRun9)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSelectableSendFilePage message handlers

void CSelectableSendFilePage::OnBrowseRun1() 
{
	CFileDialog dlg (TRUE, _T ("spin"), _T ("*.spin"),
        OFN_FILEMUSTEXIST | OFN_HIDEREADONLY, m_szFilters);

    if (dlg.DoModal() == IDOK)
	{
		m_strFileTitle1 = dlg.GetFileTitle();
		m_strFilePath1 = dlg.GetPathName();	
		
		m_wndFileTitleRun1.SetWindowText(m_strFileTitle1);
		m_wndFilePathRun1.SetWindowText(m_strFilePath1);
	}	
}

void CSelectableSendFilePage::OnBrowseRun2() 
{
	CFileDialog dlg (TRUE, _T ("spin"), _T ("*.spin"),
        OFN_FILEMUSTEXIST | OFN_HIDEREADONLY, m_szFilters);

    if (dlg.DoModal() == IDOK)
	{
		m_strFileTitle2 = dlg.GetFileTitle();
		m_strFilePath2 = dlg.GetPathName();	
		
		m_wndFileTitleRun2.SetWindowText(m_strFileTitle2);
		m_wndFilePathRun2.SetWindowText(m_strFilePath2);
	}
}

void CSelectableSendFilePage::OnBrowseRun3() 
{
	CFileDialog dlg (TRUE, _T ("spin"), _T ("*.spin"),
        OFN_FILEMUSTEXIST | OFN_HIDEREADONLY, m_szFilters);

    if (dlg.DoModal() == IDOK)
	{
		m_strFileTitle3 = dlg.GetFileTitle();
		m_strFilePath3 = dlg.GetPathName();	
		
		m_wndFileTitleRun3.SetWindowText(m_strFileTitle3);
		m_wndFilePathRun3.SetWindowText(m_strFilePath3);
	}
}

void CSelectableSendFilePage::OnBrowseRun4() 
{
	CFileDialog dlg (TRUE, _T ("spin"), _T ("*.spin"),
        OFN_FILEMUSTEXIST | OFN_HIDEREADONLY, m_szFilters);

    if (dlg.DoModal() == IDOK)
	{
		m_strFileTitle4 = dlg.GetFileTitle();
		m_strFilePath4 = dlg.GetPathName();	
		
		m_wndFileTitleRun4.SetWindowText(m_strFileTitle4);
		m_wndFilePathRun4.SetWindowText(m_strFilePath4);
	}
}

void CSelectableSendFilePage::OnBrowseRun5() 
{
	CFileDialog dlg (TRUE, _T ("spin"), _T ("*.spin"),
        OFN_FILEMUSTEXIST | OFN_HIDEREADONLY, m_szFilters);

    if (dlg.DoModal() == IDOK)
	{
		m_strFileTitle5 = dlg.GetFileTitle();
		m_strFilePath5 = dlg.GetPathName();	
		
		m_wndFileTitleRun5.SetWindowText(m_strFileTitle5);
		m_wndFilePathRun5.SetWindowText(m_strFilePath5);
	}
}

void CSelectableSendFilePage::OnBrowseRun6() 
{
	CFileDialog dlg (TRUE, _T ("spin"), _T ("*.spin"),
        OFN_FILEMUSTEXIST | OFN_HIDEREADONLY, m_szFilters);

    if (dlg.DoModal() == IDOK)
	{
		m_strFileTitle6 = dlg.GetFileTitle();
		m_strFilePath6 = dlg.GetPathName();	
		
		m_wndFileTitleRun6.SetWindowText(m_strFileTitle6);
		m_wndFilePathRun6.SetWindowText(m_strFilePath6);
	}
}

void CSelectableSendFilePage::OnBrowseRun7() 
{
	CFileDialog dlg (TRUE, _T ("spin"), _T ("*.spin"),
        OFN_FILEMUSTEXIST | OFN_HIDEREADONLY, m_szFilters);

    if (dlg.DoModal() == IDOK)
	{
		m_strFileTitle7 = dlg.GetFileTitle();
		m_strFilePath7 = dlg.GetPathName();	
		
		m_wndFileTitleRun7.SetWindowText(m_strFileTitle7);
		m_wndFilePathRun7.SetWindowText(m_strFilePath7);
	}
}

void CSelectableSendFilePage::OnBrowseRun8() 
{
	CFileDialog dlg (TRUE, _T ("spin"), _T ("*.spin"),
        OFN_FILEMUSTEXIST | OFN_HIDEREADONLY, m_szFilters);

    if (dlg.DoModal() == IDOK)
	{
		m_strFileTitle8 = dlg.GetFileTitle();
		m_strFilePath8 = dlg.GetPathName();	
		
		m_wndFileTitleRun8.SetWindowText(m_strFileTitle8);
		m_wndFilePathRun8.SetWindowText(m_strFilePath8);
	}
}

void CSelectableSendFilePage::OnBrowseRun9() 
{
	CFileDialog dlg (TRUE, _T ("spin"), _T ("*.spin"),
        OFN_FILEMUSTEXIST | OFN_HIDEREADONLY, m_szFilters);

    if (dlg.DoModal() == IDOK)
	{
		m_strFileTitle9 = dlg.GetFileTitle();
		m_strFilePath9 = dlg.GetPathName();	
		
		m_wndFileTitleRun9.SetWindowText(m_strFileTitle9);
		m_wndFilePathRun9.SetWindowText(m_strFilePath9);
	}
}
