// PropPinState.cpp : implementation file
//

#include "Stdafx.h"
#include "PropCom.h"
#include "PropPinState.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPropPinState

CPropPinState::CPropPinState()
{
}

CPropPinState::~CPropPinState()
{
}

BEGIN_MESSAGE_MAP(CPropPinState, CStatic)
	//{{AFX_MSG_MAP(CPropPinState)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPropPinState message handlers

void CPropPinState::SimulatePinStateLED(CWnd *pWnd, int nState)
{
	this->m_hWnd = pWnd->m_hWnd;

	CClientDC dc(this);

	COLORREF clrState;
	CPen PenLED;
	CBrush BrushLED;
	CBrush BrushTemp;

	if(PenLED.m_hObject!=NULL)
		PenLED.DeleteObject();

	if(BrushLED.m_hObject!=NULL)
		BrushLED.DeleteObject();

	if(nState == 0)
	{
		clrState = RGB(0,150,0);
	}
	else
	{
		clrState = RGB(0,250,0);
	}

	CRect rcLED;
	GetClientRect(&rcLED);

	PenLED.CreatePen(0,1,clrState);
	BrushLED.CreateSolidBrush(clrState);

	dc.SelectObject(&PenLED);
	dc.SelectObject(&BrushLED);

	BrushTemp.m_hObject = BrushLED.m_hObject;

	dc.Ellipse(rcLED);

	CPen Pen;
	Pen.CreatePen(0,2,RGB(128,128,128));
	dc.SelectObject(&Pen);
		
	dc.Ellipse(rcLED);

	Pen.DeleteObject();
	Pen.CreatePen(0,1,RGB(192,192,192));
	dc.SelectObject(&Pen);
	dc.Ellipse(rcLED);

	Pen.DeleteObject();
	Pen.CreatePen(0,1,RGB(255,255,255));
	dc.SelectObject(&Pen);

	CPoint ptBegin,ptStop;
	ptBegin = CPoint(rcLED.Width()/2,rcLED.bottom);
	ptStop	= CPoint(rcLED.right,rcLED.top);

	dc.MoveTo(ptBegin);
	dc.Arc(rcLED,ptBegin,ptStop);

	CBrush Brush;
	Brush.CreateSolidBrush(RGB(255,255,255));
	dc.SelectObject(&Brush);

	dc.Ellipse(rcLED.left+4,rcLED.top+4,rcLED.left+6,rcLED.top+6);
}
